Redmine - Defect #1628

redmine sends http on forms on https server
2008-07-12 10:58 - Michal Bielicki

Status: Reopened Start date: 2008-07-12
Priority: Normal Due date:

Assignee: % Done: 50%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version:

Description

| have the following configuration:

Glassfish v2UR2

jruby 1.1.2

rails 2.0.2

| have a http-listener on port 443 with security enabled.
Applications like xwiki, spree (rails shopping system) and others work fine.
redmine is supposed to be the root application on the system.

| had it all running fine with redmine-0.7.0 and updated to 0.7-stable from svn (I am running revision 1651). Now https:/mywebserver/
redirects to http://mywebserver/login which of course does not exist.

When | manage to login by changing urls by hand, website links work fine, but all forms, like creating issues etc, still try to send to a
http address instead of a https address.

THis was nt happening with 0.7.0

Related issues:

Related to Redmine - Defect #1145: https - not all links use https but http Closed 2008-04-29
Related to Redmine - Defect #672: https and some application part Closed 2008-02-15
History

#1 - 2008-07-14 21:38 - Liwiusz Ociepa

Have you checked settings.yml after update?
protocol:

default: https
Maybe it was changed by svn update?

#2 - 2008-07-14 21:44 - Jean-Philippe Lang

Liwiusz, this setting has nothing to do with redirects.
It's only used to generate links in emails.

#3 - 2008-07-30 10:33 - Andre Meij

| had the same issue, | use apache forwarding to mongrel, where apache talks http to mongrel, this confuses mongrel into rewriting all urls to http.
For me the fix was adding this:

RequestHeader set X_FORWARDED_PROTO 'https'

In the apache config before the rewrite proxy rule

Hope this helps

#4 - 2008-07-30 22:20 - Eric Davis
Check #1145 for my Apache config.

#5 - 2008-10-25 06:57 - Eric Davis

- Status changed from New to Closed
https://mywebserver/
http://mywebserver/login
https://www.redmine.org/issues/1145

- % Done changed from 0 to 100

- Resolution set to Invalid

Closing, issue is caused by a misconfigured web server and author hasn't responded. Reopen the issue if you are still having problems and please
include any webserver configuration configuration. Thanks.

#6 - 2009-06-18 10:37 - valqk valqk
- Status changed from Closed to Reopened

- % Done changed from 100 to 50

| have the same problem.

I'm using nginx+modrails.

I've configured ONLY https and | get can't connect when redirected to http.
I've tried to put add_header X_FORWARDED_PROTO 'https'; for the vhost but nothing happens.
Redmine still redirects me to http:/ instead of the https.

This only happens when redmine makes redirect_to. Forms are working.
I've tried to set

protocol:

default: https

in lib/redmine/hook.rb but nothing happened. same thing.

any ideas how to achieve redirect_to to work with correct URI scheme?

#7 - 2009-06-18 10:45 - valgk valqk

Also noticed that | get url rewritten even in return url (maybe because default scheme is http)
http:/redmin.dom.eu/login?back_url=http%3A%2F %2Fredmin.dom.eu%2Fprojects%2Fshow%2Fsomeproject/

#8 - 2010-12-19 04:58 - Alex Kuklin

valgk valgk wrote:

I've tried to put add_header X_FORWARDED_PROTO 'https'; for the vhost but nothing happens.

Just to clarify.
Correct nginx config is:

location /redmine {
proxy_pass http://backend;
proxy_set_header Host Shttp_host;
proxy_set_header X-Forwarded-For S$remote_addr;
proxy_set_header X-Forwarded-Ssl on;
proxy_set_header X-Forwarded-Proto https;

}

X-Forwarded-Proto not X_Forwarded_Proto
